ranges::actions::take_while_fn Struct Reference

## Synopsis of methods

constexpr take_while_fn | take_while {}

## Public Member Functions

template<typename Fun >
constexpr auto | operator() (Fun fun) const requires(!range< Fun >)
template<typename Rng , typename Fun >
auto | operator() (Rng &&rng, Fun fun) const -> Rng requires forward_range< Rng > &&erasable_range< Rng &, iterator_t< Rng >, sentinel_t< Rng >> &&indirect_unary_predicate< Fun, iterator_t< Rng >>

## Methods

## take_while

constexpr take_while_fn take_while {}

related